---
names: 
  full: "Google Cloud PostgreSQL Instance Log_min_error_statement Database Flag is not set to Error or stricter"
  contextual: "PostgreSQL Instance Log_min_error_statement Database Flag is not set to Error or stricter"
description: "The log_min_error_statement flag defines the minimum message severity level that are \ 
 considered as an error statement. Messages for error statements are logged with the SQL statement. \ 
 Valid values include (from lowest to highest severity) DEBUG5, DEBUG4, DEBUG3, DEBUG2, DEBUG1, \ 
 INFO, NOTICE, WARNING, ERROR, LOG, FATAL, and PANIC. Each severity level includes the subsequent \ 
 levels mentioned above. Ensure a value of ERROR or stricter is set."
type: COMPLIANCE_POLICY
categories:
  - "RELIABILITY"
frameworkMappings:
  - /frameworks/cis-gcp-v3.0.0/06/02/06
  - /frameworks/cloudaware/resource-reliability/system-configuration
  - /frameworks/nist-sp-800-53-r5/au/12
  - /frameworks/nist-sp-800-53-r5/au/03
  - /frameworks/nist-sp-800-53-r5/au/07
  - /frameworks/pci-dss-v4.0/10/02/01
  - /frameworks/pci-dss-v4.0/10/02/01/02
  - /frameworks/pci-dss-v4.0/10/02/01/05
  - /frameworks/pci-dss-v4.0/09/04/05
  - /frameworks/iso-iec-27001-2022/05/28
  - /frameworks/iso-iec-27001-2022/08/15
  - /frameworks/nist-csf-v1.1/de-ae/03
  - /frameworks/nist-csf-v1.1/de-cm/01
  - /frameworks/soc-2/cc5/02/03
  - /frameworks/soc-2/cc7/02/01
  - /frameworks/soc-2/cc7/02/02
  - /frameworks/soc-2/cc7/02/03
similarPolicies:
  cloudConformity:
    - url: "https://www.trendmicro.com/cloudoneconformity/knowledge-base/gcp/CloudSQL/configure-log-min-error-statement-flag.html"
      name: "Configure 'log_min_error_statement' Flag for PostgreSQL Database Instances"
